{"openapi":"3.1.0","info":{"title":"GET /api/v1/hubspot-card/by-email","version":"1.0.0","description":"HubSpot card data by contact email"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/hubspot-card/by-email":{"get":{"tags":["hubspot-card"],"summary":"HubSpot card data by contact email","description":"Look up a DayZero business by the HubSpot contact email.","operationId":"hubspot_card_by_email_api_v1_hubspot_card_by_email_get","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string","description":"Contact email from HubSpot","title":"Email"},"description":"Contact email from HubSpot"},{"name":"api_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Api Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}